Subject: [alpine-aports] [PATCH 1/6] main/wayland: upgrade to 1.12.0

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:42 -0400

---
 main/wayland/APKBUILD         | 18 ++++++------------
 main/wayland/musl-fixes.patch | 11 -----------
 2 files changed, 6 insertions(+), 23 deletions(-)
 delete mode 100644 main/wayland/musl-fixes.patch

diff --git a/main/wayland/APKBUILD b/main/wayland/APKBUILD
index 5c2881e..6627337 100644
--- a/main/wayland/APKBUILD
+++ b/main/wayland/APKBUILD
@@ -2,7 +2,7 @@
 # Contributor: Bartłomiej Piotrowski <[email-masked]>
 # Maintainer:
 pkgname=wayland
-pkgver=1.11.0
+pkgver=1.12.0
 pkgrel=0
 pkgdesc="A computer display server protocol"
 url="http://wayland.freedesktop.org"
@@ -11,13 +11,10 @@ license="MIT"
 depends=""
 depends_dev="libffi-dev expat-dev"
 makedepends="$depends_dev doxygen xmlto graphviz grep libxml2-dev"
-install=""
 subpackages="$pkgname-dev $pkgname-doc"
-source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz
-	musl-fixes.patch"
+source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
 
-patch_args="-p0"
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
@@ -39,9 +36,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="fccf680be066e234729d5b69e0bd0fa9  wayland-1.11.0.tar.xz
-e88e7885ee4c6bba978bfe9d53b1342d  musl-fixes.patch"
-sha256sums="9540925f7928becfdf5e3b84c70757f6589bf1ceef09bea78784d8e4772c0db0  wayland-1.11.0.tar.xz
-cd23fb565a3b0d32266500214c984ddd371911eab2e0db226a5055ceccae90d6  musl-fixes.patch"
-sha512sums="c8a0c927b6e095707a58398fe545ed708f4c808a70920c1f82c79d4275e6137cdf9926c0f18227faba511f717f4db4dfee9528075e00ec600ea44b97479471dd  wayland-1.11.0.tar.xz
-9ef7f9298b2967135c3a8dcc94f77f042478fbf326455fe0a7018cc0500827f54b1fbc597b6e9609d845b3feb5e6b7da4b1783a2ec7ad84a9fe377a3e9a82dcc  musl-fixes.patch"
+md5sums="ee615e2d1e205eec48b02f069327eb96  wayland-1.12.0.tar.xz"
+sha256sums="d6b4135cba0188abcb7275513c72dede751d6194f6edc5b82183a3ba8b821ab1  wayland-1.12.0.tar.xz"
+sha512sums="cde05344e6c9ee40c80651f5b6d6b4a14787a9cf2c8e3099d69b8f78672610e3ccbe4a87446f9ae93ca402cfbb916ef7444294efa7a0fc88ef1a984f94dabd20  wayland-1.12.0.tar.xz"
diff --git a/main/wayland/musl-fixes.patch b/main/wayland/musl-fixes.patch
deleted file mode 100644
index 9e49a56..0000000
--- a/main/wayland/musl-fixes.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- src/scanner.c.orig	2016-06-01 07:24:27.293294492 +0200
-+++ src/scanner.c	2016-06-01 07:25:01.861658088 +0200
-@@ -808,7 +808,7 @@ find_enumeration(struct protocol *protoc
- 	struct interface *i;
- 	struct enumeration *e;
- 	char *enum_name;
--	uint idx = 0, j;
-+	unsigned int idx = 0, j;
- 
- 	for (j = 0; j + 1 < strlen(enum_attribute); j++) {
- 		if (enum_attribute[j] == '.') {
-- 
2.10.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:43 -0400

---
 testing/wayland-protocols/APKBUILD | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

diff --git a/testing/wayland-protocols/APKBUILD b/testing/wayland-protocols/APKBUILD
index 2b73778..2de2f4f 100644
--- a/testing/wayland-protocols/APKBUILD
+++ b/testing/wayland-protocols/APKBUILD
@@ -1,20 +1,17 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer:
 pkgname=wayland-protocols
-pkgver=1.4
+pkgver=1.7
 pkgrel=0
 pkgdesc="Protocols and protocol extensions complementing the Wayland core protocol"
 url="http://wayland.freedesktop.org"
-arch="all"
+arch="noarch"
 license="MIT"
 depends=""
-depends_dev=""
 makedepends="wayland-dev"
-install=""
-subpackages=""
-source="https://wayland.freedesktop.org/releases/${pkgname}-${pkgver}.tar.xz"
+source="https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
 
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
 	cd "$builddir"
 	./configure \
@@ -29,10 +26,10 @@ build() {
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
-md5sums="fd8089abf13a1d04e4baa6509ee72baf  wayland-protocols-1.4.tar.xz"
-sha256sums="014a9a23c21ed14f49b1005b3e8efa66d6337d4ceafc97f7b0d6707e7e3df572  wayland-protocols-1.4.tar.xz"
-sha512sums="ffbac79b3be03f7b1c1033923702aadd0bdd2f90dafee946a4a2384eaa9e7f2ab90de6a6497fce374fd3343b133f8dd02683503973a65f947e65b76c47186123  wayland-protocols-1.4.tar.xz"
+md5sums="9acfc9556f7cfedc44d97af60da66a5f  wayland-protocols-1.7.tar.xz"
+sha256sums="635f2a937d318f1fecb97b54074ca211486e38af943868dd0fa82ea38d091c1f  wayland-protocols-1.7.tar.xz"
+sha512sums="291a3226cc538de3b81bdffa5de513b305a946bfc3481e21c254fcc6a023e0cf2ff1869509c7ae193da02460f1d4a3c5cd5f1ca13b2550886acffcc636fb30d2  wayland-protocols-1.7.tar.xz"
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:44 -0400

---
 testing/weston/APKBUILD         | 20 +++++++++-----------
 testing/weston/musl-fixes.patch | 15 +++++++--------
 2 files changed, 16 insertions(+), 19 deletions(-)

diff --git a/testing/weston/APKBUILD b/testing/weston/APKBUILD
index c3c9e54..537750c 100644
--- a/testing/weston/APKBUILD
+++ b/testing/weston/APKBUILD
@@ -1,23 +1,21 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer:
 pkgname=weston
-pkgver=1.11.0
-pkgrel=1
+pkgver=1.12.0
+pkgrel=0
 pkgdesc="Reference implementation of a Wayland compositor"
 url="http://wayland.freedesktop.org"
 arch="x86_64 armhf"
 license="MIT"
 depends=""
-depends_dev=""
 makedepends="wayland-protocols libxkbcommon-dev libinput-dev
 	libunwind-dev poppler-glib mtdev-dev libxcursor-dev
 	glu-dev pango-dev colord-dev"
-install=""
 subpackages="$pkgname-doc"
 source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz
 	musl-fixes.patch"
 
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
 	cd "$builddir"
 	./configure \
@@ -39,9 +37,9 @@ package() {
 		-C "$builddir" install || return 1
 }
 
-md5sums="bc6f90a2039163804aecfa663b69c4c2  weston-1.11.0.tar.xz
-3320ff4d171f24871e789e162c76fe44  musl-fixes.patch"
-sha256sums="05e086e9f186a06843b9f7a5e1abf19347b1a6e4be26d7e74927abc17b6b7125  weston-1.11.0.tar.xz
-3cef7e810fabf6e8f476a283b7ee692e497f8557c611487fc0443cd186edd9fa  musl-fixes.patch"
-sha512sums="30c43058aeca2d90d8c57ee3beb824aa42474eb2d0fa942622949b49c7771eb5d8d9c452d496a13950baabffef3c343d7386821778ae931939039fab2f782ad5  weston-1.11.0.tar.xz
-c8a923c87e5028c7446542185b34b9135a3ff8ca64a47a8ad5f3a4a86b6a34123417fc1d3b3d60cfd855977360ad91abeecd851a1bdb5848dc884cdb17bbb5a5  musl-fixes.patch"
+md5sums="310af6d7f8ba03c3418cec8ad72ea748  weston-1.12.0.tar.xz
+6f68d03829f100d358283a5714573d37  musl-fixes.patch"
+sha256sums="ac7ac2a32e3b9f50131fccded5d2326bd36b2226712d90b61999118a09af5033  weston-1.12.0.tar.xz
+03b6225fa84b52523afe571b0ec820342933e1052d87b8a8f6eb1177847ecfae  musl-fixes.patch"
+sha512sums="80cf7c01951cc72b32284a5a6960c2ae7a8dfffffb155cb0f94cd3585b0afa3f06bb8e2b87467d18ab95f0fd673ad9319a6e14ee5f3cec1d3b72c7c0146c927e  weston-1.12.0.tar.xz
+f9f892cdba13b1ae4d2726cfda5543364da545e725fabbf2145cd977648e84a138bb65197c604aae43a5e8415e3a58a45ec8d7a15e23eb72b7b95edefca531bc  musl-fixes.patch"
diff --git a/testing/weston/musl-fixes.patch b/testing/weston/musl-fixes.patch
index 4757317..00886d6 100644
--- a/testing/weston/musl-fixes.patch
+++ b/testing/weston/musl-fixes.patch
@@ -1,11 +1,10 @@
-diff -upr weston-1.11.0.orig/shared/xalloc.h weston-1.11.0/shared/xalloc.h
---- weston-1.11.0.orig/shared/xalloc.h	2016-06-01 10:42:27.296480970 +0200
-+++ weston-1.11.0/shared/xalloc.h	2016-06-01 10:43:01.272956869 +0200
-@@ -30,6 +30,7 @@
- extern "C" {
- #endif
+--- weston-1.12.0/shared/string-helpers.h.orig
++++ weston-1.12.0/shared/string-helpers.h
+@@ -28,6 +28,7 @@
  
-+#include <inttypes.h>
+ #include <stdbool.h>
  #include <stdlib.h>
- #include <string.h>
++#include <stdint.h>
+ #include <errno.h>
+ #include <assert.h>
  
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:45 -0400

---
 main/xorg-server/APKBUILD | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/main/xorg-server/APKBUILD b/main/xorg-server/APKBUILD
index 899c620..733a5cb 100644
--- a/main/xorg-server/APKBUILD
+++ b/main/xorg-server/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=xorg-server
 pkgver=1.18.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X.Org X servers"
 url="http://xorg.freedesktop.org"
 arch="all"
 license="MIT"
 options="suid"
 subpackages="$pkgname-dbg $pkgname-dev $pkgname-doc xfbdev xvfb $pkgname-xephyr
-	$pkgname-xnest"
+	$pkgname-xnest $pkgname-xwayland"
 # the modesetting driver is now shipped with xorg server
 replaces="xf86-video-modesetting"
 depends="
@@ -122,6 +122,7 @@ build() {
 		--enable-ipv6 \
 		--enable-xfbdev \
 		--enable-kdrive \
+		--enable-xwayland \
 		--enable-xorg \
 		--enable-xv \
 		--enable-xres \
@@ -179,6 +180,12 @@ xnest() {
 	mv "$pkgdir"/usr/bin/Xnest "$subpkgdir"/usr/bin/
 }
 
+xwayland() {
+	pkgdesc="run X clients under wayland"
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/Xwayland "$subpkgdir"/usr/bin/
+}
+
 md5sums="d4842dfe3bd9a9d062f2fa1df9104a46  xorg-server-1.18.4.tar.bz2
 ea4852dedbb89550f6bc113ca66348a2  autoconfig-nvidia.patch
 825ca99ea9348c66abdf2c479e0af485  autoconfig-sis.patch
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:46 -0400

https://github.com/Cloudef/wlc
Wayland Compositor Library
---
 testing/wlc/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/wlc/APKBUILD

diff --git a/testing/wlc/APKBUILD b/testing/wlc/APKBUILD
new file mode 100644
index 0000000..fffcb60
--- /dev/null
+++ b/testing/wlc/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Daniel Sabogal <[email-masked]>
+# Maintainer:
+pkgname=wlc
+pkgver=0.0.6
+pkgrel=0
+pkgdesc="Wayland Compositor Library"
+url="https://github.com/Cloudef/wlc"
+arch="all"
+license="MIT"
+depends="xkeyboard-config"
+makedepends="cmake eudev-dev libinput-dev libx11-dev libxkbcommon-dev mesa-dev
+	pixman-dev wayland-dev wayland-protocols xcb-util-image-dev
+	xcb-util-wm-dev"
+subpackages="$pkgname-dev"
+source="https://github.com/Cloudef/$pkgname/releases/download/v$pkgver/$pkgname-$pkgver.tar.bz2"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		|| return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir/" \
+		-C "$builddir" install || return 1
+}
+
+md5sums="3d7f02321b8d97c4c858a6d2def3be16  wlc-0.0.6.tar.bz2"
+sha256sums="302a14252757f05ed009077a674b07942ff46fc7c3da0759fed4fedbc8c12329  wlc-0.0.6.tar.bz2"
+sha512sums="944e3b34436618a1288488dcb8eb7ea2db46e32f73e4d07e4e896fe94cd0084857008f900257846098af4094bf5351bd7ec7d4c6aef427d0991922fd04049dc9  wlc-0.0.6.tar.bz2"
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:47 -0400

http://swaywm.org
i3 compatible window manager for Wayland
---
 testing/sway/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/sway/APKBUILD

diff --git a/testing/sway/APKBUILD b/testing/sway/APKBUILD
new file mode 100644
index 0000000..dd14bf9
--- /dev/null
+++ b/testing/sway/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Daniel Sabogal <[email-masked]>
+# Maintainer:
+pkgname=sway
+pkgver=0.9
+pkgrel=0
+pkgdesc="i3 compatible window manager for Wayland"
+url="http://swaywm.org"
+arch="all"
+license="MIT"
+depends="libxcursor"
+makedepends="asciidoc cmake gdk-pixbuf json-c-dev libinput-dev libxkbcommon-dev
+	pango-dev wayland-dev wlc-dev"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/SirCmpwn/$pkgname/archive/$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir/" install || return 1
+
+	install -d "$pkgdir"/usr/share/man/man1
+	install -d "$pkgdir"/usr/share/man/man5
+	install -m644 bin/*.1 "$pkgdir"/usr/share/man/man1/ || return 1
+	install -m644 bin/*.5 "$pkgdir"/usr/share/man/man5/ || return 1
+}
+
+md5sums="50bdbcc513958f215b4790ebdcde46f5  sway-0.9.tar.gz"
+sha256sums="dc98fe5abd084dbf059fdf19b5b40e44b5c7ac75a5b704b47a6b53c9f489f42d  sway-0.9.tar.gz"
+sha512sums="546af976379f50314567472766fe801dc15e84057bc1bd4d8b9b8c02ddc897ce3ece264a429bcc7c44f6fa2f7a58ed65f92d5a194951297c5d37dbb8085658cf  sway-0.9.tar.gz"
-- 
2.10.0

---